libgetopt-mixed-perl_1.008-10_all.deb


Advertisement

Description

libgetopt-mixed-perl - Perl module for processing options in GNU-style (= long and short)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgetopt-mixed-perl
Package version 1.008
Package release 10
Package architecture all
Package type deb
Installed size 88 B
Download size 18.88 KB
Official Mirror ftp.br.debian.org
This module is intended to be the "Getopt-to-end-all-Getop's".  It
combines flexibility and simplicity.  It supports both short options
(introduced by `-') and long options (introduced by `--').  Short
options which do not take an argument can be grouped together.  Short
options which do take an argument must be the last option in their
group, because everything following the option will be considered to
be its argument.

Alternatives

Package Version Architecture Repository
libgetopt-mixed-perl_1.008-10_all.deb 1.008 all Debian Main
libgetopt-mixed-perl - - -

Requires

Name Value
perl >= 5.6.0-16

Download

Type URL
Binary Package libgetopt-mixed-perl_1.008-10_all.deb
Source Package libgetopt-mixed-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgetopt-mixed-perl deb package:
    # sudo apt-get install libgetopt-mixed-perl

Files

Path
/usr/share/doc/libgetopt-mixed-perl/README
/usr/share/doc/libgetopt-mixed-perl/changelog.Debian.gz
/usr/share/doc/libgetopt-mixed-perl/copyright
/usr/share/man/man3/Getopt::Mixed.3pm.gz
/usr/share/perl5/Getopt/Mixed.pm

Changelog

2004-06-27 - Ezra Pagel <ezra@jdba.org>
libgetopt-mixed-perl (1.008-10) unstable; urgency=low
* New maintainer
(closes: Bug#210766)
* debian/control: upgraded to Debian Policy 3.6.1 (no changes)
2003-07-26 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-9) unstable; urgency=low
* debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
* debian/control: upgraded to Debian Policy 3.6.0 (no changes)
2003-05-26 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-8) unstable; urgency=low
* Added examples 'tstopt1' and 'tstopt2'
(closes: Bug#193879)
* debian/rules: moved debhelper compatibility level setting to
'debian/compat' per latest debhelper best practices
* debian/control: updated sections according to latest archive changes:
- 'libgetopt-mixed-perl' from 'interpreters' to 'perl'
* debian/control: upgraded to Debian Policy 3.5.10 (no changes)
2002-08-04 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-7) unstable; urgency=low
* debian/rules: upgraded to debhelper v4
* debian/control: changed build dependency on debhelper accordingly
* debian/rules: migrated from 'dh_movefiles' to 'dh_install'
* debian/rules: split off 'install' target from 'binary-indep' target
* debian/copyright: added pointer to license
2001-12-23 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-6) unstable; urgency=low
* debian/control: upgraded to Debian Policy 3.5.6
2001-07-05 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-5) unstable; urgency=low
* debian/control: upgraded to Debian Policy 3.5.5
* debian/control: upgraded to Debian Perl Policy 1.20
2001-04-14 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-4) unstable; urgency=low
* debian/control: updated perl dependency
2001-04-01 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-3) unstable; urgency=low
* debian/control: updated debhelper dependency to remove dh_testversion
* debian/control: upgraded to Debian Policy 3.5.2
* debian/control: upgraded to Debian Perl Policy 1.17
* debian/rules: upgraded to Debian Perl Policy 1.17
2001-01-14 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-2) unstable; urgency=low
* debian/control: upgraded to Debian Policy 3.2.1
* debian/rules: upgraded to debhelper v3
2000-06-13 - Ardo van Rangelrooij <ardo@debian.org>
libgetopt-mixed-perl (1.008-1) unstable; urgency=low
* Initial Release

See Also

Package Description
libgetopt-ocaml-dev_0.0.20040811-10+b4_amd64.deb command line parsing library for OCaml
libgetopt-simple-perl_1.52-4_all.deb provide a simple wrapper around Getopt::Long
libgetopt-tabular-perl_0.3-2_all.deb table-driven argument parsing for Perl 5
libgetopt-usaginator-perl_0.0012-1_all.deb syntactic sugar for creating a command line usage function
libgettext-ant-tasks-java_0.9.7+svn206-1_all.deb Java classes for internationalization (i18n) - Ant tasks
libgettext-commons-java_0.9.6-2_all.deb Java classes for internationalization (i18n)
libgettext-ocaml-dev_0.3.4-1+b4_amd64.deb OCaml internationalization library
libgettext-ocaml_0.3.4-1+b4_amd64.deb OCaml internationalization shared library
libgettextpo-dev_0.19.3-2_amd64.deb GNU Internationalization library development files
libgettextpo0_0.19.3-2_amd64.deb GNU Internationalization library
libgexiv2-2_0.10.2-2_amd64.deb GObject-based wrapper around the Exiv2 library
libgexiv2-dev_0.10.2-2_amd64.deb GObject-based wrapper around the Exiv2 library - development files
libgf-complete-dev_1.0.2-1_amd64.deb Galois Field Arithmetic - development files
libgf-complete1_1.0.2-1_amd64.deb Galois Field Arithmetic - shared library
libgf2x-dev_1.1-2_amd64.deb Routines for fast arithmetic in GF(2)[x] (development files)
Advertisement
Advertisement